Package: org.gradle.platform.base

## [Java] Interface ToolChain

- org.gradle.api.Named

- All Superinterfaces:
    Named

  A set of compilers that are used together to construct binaries.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `getDisplayName()` Returns a human consumable name for this tool chain.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Named` | `getName`

- - ### Method Detail

    - #### public String getDisplayName()

      Returns a human consumable name for this tool chain.

      Since:
        1.11